| OpenCV 4.3.0 Open Source Computer Vision

Classes | Functions
Super Resolution

## Classes
class | cv::superres::BroxOpticalFlow
class | cv::superres::DenseOpticalFlowExt
class | cv::superres::DualTVL1OpticalFlow
class | cv::superres::FarnebackOpticalFlow
class | cv::superres::FrameSource
class | cv::superres::PyrLKOpticalFlow
class | cv::superres::SuperResolution
| Base class for Super Resolution algorithms. More...

## Functions
Ptr< FrameSource > | cv::superres::createFrameSource_Camera (int deviceId=0)
Ptr< FrameSource > | cv::superres::createFrameSource_Empty ()
Ptr< FrameSource > | cv::superres::createFrameSource_Video (const String &fileName)
Ptr< FrameSource > | cv::superres::createFrameSource_Video_CUDA (const String &fileName)
Ptr< BroxOpticalFlow > | cv::superres::createOptFlow_Brox_CUDA ()
Ptr< DualTVL1OpticalFlow > | cv::superres::createOptFlow_DualTVL1 ()
Ptr< DualTVL1OpticalFlow > | cv::superres::createOptFlow_DualTVL1_CUDA ()
Ptr< FarnebackOpticalFlow > | cv::superres::createOptFlow_Farneback ()
Ptr< FarnebackOpticalFlow > | cv::superres::createOptFlow_Farneback_CUDA ()
Ptr< PyrLKOpticalFlow > | cv::superres::createOptFlow_PyrLK_CUDA ()
Ptr< SuperResolution > | cv::superres::createSuperResolution_BTVL1 ()
| Create Bilateral TV-L1 Super Resolution. More...
Ptr< SuperResolution > | cv::superres::createSuperResolution_BTVL1_CUDA ()

## Detailed Description

The Super Resolution module contains a set of functions and classes that can be used to solve the problem of resolution enhancement. There are a few methods implemented, most of them are described in the papers [65] and [168] .

## Function Documentation

## ◆ createFrameSource_Camera()

Ptr<FrameSource> cv::superres::createFrameSource_Camera | ( | int | deviceId = `0` | ) |

`#include <opencv2/superres.hpp>`

## ◆ createFrameSource_Empty()

Ptr<FrameSource> cv::superres::createFrameSource_Empty | ( |  | ) |

`#include <opencv2/superres.hpp>`

## ◆ createFrameSource_Video()

Ptr<FrameSource> cv::superres::createFrameSource_Video | ( | const String & | fileName | ) |

`#include <opencv2/superres.hpp>`

## ◆ createFrameSource_Video_CUDA()

Ptr<FrameSource> cv::superres::createFrameSource_Video_CUDA | ( | const String & | fileName | ) |

`#include <opencv2/superres.hpp>`

## ◆ createOptFlow_Brox_CUDA()

Ptr<BroxOpticalFlow> cv::superres::createOptFlow_Brox_CUDA | ( |  | ) |

`#include <opencv2/superres/optical_flow.hpp>`

## ◆ createOptFlow_DualTVL1()

Ptr<DualTVL1OpticalFlow> cv::superres::createOptFlow_DualTVL1 | ( |  | ) |

`#include <opencv2/superres/optical_flow.hpp>`

## ◆ createOptFlow_DualTVL1_CUDA()

Ptr<DualTVL1OpticalFlow> cv::superres::createOptFlow_DualTVL1_CUDA | ( |  | ) |

`#include <opencv2/superres/optical_flow.hpp>`

## ◆ createOptFlow_Farneback()

Ptr<FarnebackOpticalFlow> cv::superres::createOptFlow_Farneback | ( |  | ) |

`#include <opencv2/superres/optical_flow.hpp>`

## ◆ createOptFlow_Farneback_CUDA()

Ptr<FarnebackOpticalFlow> cv::superres::createOptFlow_Farneback_CUDA | ( |  | ) |

`#include <opencv2/superres/optical_flow.hpp>`

## ◆ createOptFlow_PyrLK_CUDA()

Ptr<PyrLKOpticalFlow> cv::superres::createOptFlow_PyrLK_CUDA | ( |  | ) |

`#include <opencv2/superres/optical_flow.hpp>`

## ◆ createSuperResolution_BTVL1()

Ptr<SuperResolution> cv::superres::createSuperResolution_BTVL1 | ( |  | ) |

`#include <opencv2/superres.hpp>`

Create Bilateral TV-L1 Super Resolution.

This class implements Super Resolution algorithm described in the papers [65] and [168] .

Here are important members of the class that control the algorithm, which you can set after constructing the class instance:

- int scale Scale factor.
- int iterations Iteration count.
- double tau Asymptotic value of steepest descent method.
- double lambda Weight parameter to balance data term and smoothness term.
- double alpha Parameter of spacial distribution in Bilateral-TV.
- int btvKernelSize Kernel size of Bilateral-TV filter.
- int blurKernelSize Gaussian blur kernel size.
- double blurSigma Gaussian blur sigma.
- int temporalAreaRadius Radius of the temporal search area.
- Ptr<DenseOpticalFlowExt> opticalFlow Dense optical flow algorithm.

## ◆ createSuperResolution_BTVL1_CUDA()

Ptr<SuperResolution> cv::superres::createSuperResolution_BTVL1_CUDA | ( |  | ) |

`#include <opencv2/superres.hpp>`